/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.supinfo.spitfireboard.dao;

import com.supinfo.spitfireboard.entities.Post;
import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author Fabien LOISON
 */
@Local
public interface PostDao {
    
    public Post getById(Long id);
    public List<Post> getPostsByTopicId(Long TopicId);
    public List<Post> getPostsByUserId(Long userId);
    public List<Post> getAll();
    public Post getFirstPost();
    public Long persist(Post post);
    public void delete(Long id);
}
